summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks/kactivities/kactivities-5.71.0.ebuild')
-rw-r--r--kde-frameworks/kactivities/kactivities-5.71.0.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/kde-frameworks/kactivities/kactivities-5.71.0.ebuild b/kde-frameworks/kactivities/kactivities-5.71.0.ebuild
new file mode 100644
index 000000000000..9b59019a258b
--- /dev/null
+++ b/kde-frameworks/kactivities/kactivities-5.71.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PVCUT=$(ver_cut 1-2)
+PLASMA_MINIMAL=5.16.5
+QTMIN=5.14.1
+inherit ecm kde.org
+
+DESCRIPTION="Framework for working with KDE activities"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5[widgets]
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtsql-${QTMIN}:5
+ =kde-frameworks/kconfig-${PVCUT}*:5
+ =kde-frameworks/kcoreaddons-${PVCUT}*:5
+"
+RDEPEND="${COMMON_DEPEND}
+ >=kde-plasma/kactivitymanagerd-${PLASMA_MINIMAL}:5
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.54
+"